Package org.eclipse.emf.cdo.ui

## Class Authorizer<E>

- java.lang.Object
- - org.eclipse.emf.cdo.ui.Authorizer<E>

-     public class Authorizer<E>
      extends java.lang.Object

  Since:
    4.11
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `Authorizer.AuthorizerContext<E>` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `AUTHORIZATION_PENDING` |
    `static java.lang.String` | `AUTHORIZED` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Authorizer​(Authorizer.AuthorizerContext<E> context, CDOSession session)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `authorize()` |
    `java.lang.String` | `getAuthorization​(E element)` |
    `Authorizer.AuthorizerContext<E>` | `getContext()` |
    `CDOSession` | `getSession()` |
    `boolean` | `isAuthorizationDenied()` |
    `boolean` | `isAuthorizationFinished()` |
    `boolean` | `isAuthorizing()` |
    `protected void` | `validate()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AUTHORIZATION_PENDING

          public static final java.lang.String AUTHORIZATION_PENDING

      See Also:
        Constant Field Values

    - #### AUTHORIZED

          public static final java.lang.String AUTHORIZED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Authorizer

          public Authorizer​(Authorizer.AuthorizerContext<E> context,
                            CDOSession session)

  - ### Method Detail

    - #### getContext

          public final Authorizer.AuthorizerContext<E> getContext()

    - #### getSession

          public final CDOSession getSession()

    - #### isAuthorizing

          public final boolean isAuthorizing()

    - #### isAuthorizationFinished

          public final boolean isAuthorizationFinished()

    - #### isAuthorizationDenied

          public final boolean isAuthorizationDenied()

    - #### getAuthorization

          public final java.lang.String getAuthorization​(E element)

    - #### authorize

          protected void authorize()

    - #### validate

          protected void validate()
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`